#import "ViewController.h"

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    NSArray *values = @[@1,@5,@7,@3,@4];
    
    _dsh = [[IGCategorySeriesDataSourceHelper alloc]initWithValues:values];
    _chart = [[MyChart alloc]initWithFrame:self.view.frame];
    _chart.delegate = self;
    
    [_chart addSeriesForType:[IGLineSeries class] usingKey:@"series" withDataSource:_dsh firstAxisKey:@"x" secondAxisKey:@"y"];
    
    [self.view addSubview:_chart];
}

-(UIView *)chartView:(IGChartView *)chartView viewForMarkerInSeries:(IGSeries *)series withItem:(NSObject *)item index:(NSInteger)index originalSourceItem:(NSObject *)originalSourceItem displayOptions:(IGMarkerDisplayOptions *)options
{
    UIView *view = [[UIView alloc]initWithFrame:CGRectMake(0, 0, 40, 40)];
    view.layer.cornerRadius = 10;
    view.backgroundColor = [UIColor blueColor];
    return view;
}

@end


@implementation MyChart
-(void)layoutSubviews
{
    [super layoutSubviews];
    NSLog(@"layout subviews is called");
}

@end